﻿using System.Collections;
using System.Collections.Generic;

namespace AsyncBalanceDemo
{
    public class MainViewModel
    {
        private static readonly MainViewModel instance;
        private List<string> source;

        static MainViewModel()
        {
            if (instance == null)
            {
                instance = new MainViewModel();
            }
        }

        private MainViewModel()
        {
            this.InitializeSource();
        }

        public static MainViewModel Instance
        {
            get
            {
                return instance;
            }
        }

        public IEnumerable Source
        {
            get
            {
                return this.source;
            }
        }

        private void InitializeSource()
        {
            this.source = new List<string>();
            for (int i = 0; i < 100; i++)
            {
                this.source.Add("Item " + i);
            }
        }
    }
}
